#ifndef __BRUSH_H_INCLUDED__
#define __BRUSH_H_INCLUDED__

class Brush;
typedef boost::shared_ptr<Brush> BrushPtr;

class Brush {
public:
    explicit Brush(SpritePtr sprite, FT::FieldType ft)
        : m_sprite(sprite),
          m_field_type(ft)
        {
    }

    static BrushPtr New(SpritePtr sprite, FT::FieldType ft) {
        return BrushPtr(new Brush(sprite, ft));
    }

    FT::FieldType GetFieldType() const { return m_field_type; }
    SpritePtr GetSprite() const { return m_sprite; }

private:
    SpritePtr m_sprite;
    FT::FieldType m_field_type;
};

#endif
